# Function mergeControlValidators

- mergeControlValidators<T, Control extends AbstractControl<T>>(
  control: Control,
  validators: ValidatorFn<T> | ValidatorFn<T>[],
  ): void

  #### Type Parameters

  - T
  - Control extends AbstractControl<T>

  #### Parameters

  - control: Control
  - validators: ValidatorFn<T> | ValidatorFn<T>[]

  #### Returns void

  - Defined in packages/angular/forms/src/lib/control-actions.ts:122